View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000734Ecere SDKecerepublic2012-04-02 15:222013-08-07 03:33
Reportersamsam598 
Assigned To 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000734: Editbox and scrollbar visibility bug
DescriptionI tested with the lasted and found even I've set Editbox.HasHorzScroll=true and HasVertScroll=true,
and even the text content is long enough,when the window shows up,the VScroll and HScroll bar are both invisible.Now if I resize the form with the form's right bottom,both show up now.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000571)
jerome (administrator)
2012-04-02 16:28

Hi Sam,

I've tried to reproduce the scenario, but without success.
Here is the code I've tried:

import "ecere"

class Form1 : Window
{
   caption = "Form1";
   background = activeBorder;
   borderStyle = sizable;
   hasMaximize = true;
   hasMinimize = true;
   hasClose = true;
   clientSize = { 632, 438 };

   EditBox editBox1
   {
      this;
      size = { 140, 67 }, position = { 224, 128 };
      multiLine = true;
      hasHorzScroll = true, hasVertScroll = true;
      contents = "This is a lot of text on\n"
                 "Multiple lines\n"
                 "Multiple lines\n"
                 "Multiple lines\n"
                 "Multiple lines";
   };
}

Form1 form1 {};

Both scroll bars show up right away.
Could you please show us the code which doesn't work?

Thanks,

Jerome
(0000634)
jerome (administrator)
2012-09-04 02:59

Marking this as closed as per:
http://www.ecere.com/forums/viewtopic.php?f=5&t=229 [^]

- Issue History
Date Modified Username Field Change
2012-04-02 15:22 jerome New Issue
2012-04-02 15:22 jerome Reporter jerome => samsam598
2012-04-02 16:28 jerome Note Added: 0000571
2012-04-02 16:28 jerome Status new => feedback
2012-09-04 02:59 jerome Status feedback => closed
2012-09-04 02:59 jerome Note Added: 0000634
2012-09-04 02:59 jerome Resolution open => fixed
2012-09-04 02:59 jerome Fixed in Version => 0.44.1 Android
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker